Debian Bug report logs - #687057
ITP: androidsdk-tools -- A subset of the android sdk tools

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Stefan Handschuh <handschuh.stefan@googlemail.com>

Date: Sat, 8 Sep 2012 23:39:01 UTC

Owned by: Stefan Handschuh <handschuh.stefan@googlemail.com>

Severity: wishlist

Fixed in version androidsdk-tools/22+git20130416~f55ffbb-1

Done: Jakub Adam <jakub.adam@ktknet.cz>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, handschuh.stefan@googlemail.com, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#687057; Package wnpp. (Sat, 08 Sep 2012 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
New Bug report received and forwarded. Copy sent to handschuh.stefan@googlemail.com, debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 08 Sep 2012 23:39:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Handschuh <handschuh.stefan@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: androidsdk-tools -- A subset of the android sdk tools
Date: Sun, 09 Sep 2012 01:34:50 +0200
Package: wnpp
Severity: wishlist
Owner: Stefan Handschuh <handschuh.stefan@googlemail.com>

* Package name    : androidsdk-tools
  Version         : 14
  Upstream Author : The Android Open Source Project
* URL             : https://android.googlesource.com/platform/sdk
* License         : Apache 2.0
  Programming Lang: Java
  Description     : A subset of the android sdk tools containing the
sdklib which is needed to 'compile' android resource files which is
a prerequisit to build apk packages.


The sdk tools are containing *some* of the android build tools. The
sources contain ddms and also the eclipse plugins. However for an
initial version, it might be sufficient to create a sdklib binary
package that is neede to 'compile' the static android resources of
an android application.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>:
Bug#687057; Package wnpp. (Sun, 09 Sep 2012 01:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>. (Sun, 09 Sep 2012 01:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 687057@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Stefan Handschuh <handschuh.stefan@googlemail.com>, 687057@bugs.debian.org
Cc: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>
Subject: Re: Bug#687057: ITP: androidsdk-tools -- A subset of the android sdk tools
Date: Sun, 9 Sep 2012 09:46:25 +0800
On Sun, Sep 9, 2012 at 7:34 AM, Stefan Handschuh wrote:

> * Package name    : androidsdk-tools

You might want to create a team for packaging Android related things,
we already have an android-tools source package containing adb and
fastboot:

http://packages.qa.debian.org/a/android-tools.html

Marcin Juszkiewicz is also planning to package heimdall (the flashing tool).

-- 
bye,
pabs

http://wiki.debian.org/PaulWise



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>:
Bug#687057; Package wnpp. (Sun, 09 Sep 2012 05:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>. (Sun, 09 Sep 2012 05:24:03 GMT) Full text and rfc822 format available.

Message #15 received at submit@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Stefan Handschuh <handschuh.stefan@googlemail.com>, "687057@bugs.debian.org" <687057@bugs.debian.org>
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#687057: ITP: androidsdk-tools -- A subset of the android sdk tools
Date: Sun, 9 Sep 2012 09:21:28 +0400
On Sep 9, 2012, at 3:34 AM, Stefan Handschuh <handschuh.stefan@googlemail.com> wrote:

> The sdk tools are containing *some* of the android build tools.

Stupid question:

Which parts are missing (and what do users miss without them) and why?

Cheers,

Adrian


Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>:
Bug#687057; Package wnpp. (Sun, 09 Sep 2012 05:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>. (Sun, 09 Sep 2012 05:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687057; Package wnpp. (Sun, 09 Sep 2012 10:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 09 Sep 2012 10:42:06 GMT) Full text and rfc822 format available.

Message #25 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Handschuh <handschuh.stefan@googlemail.com>
To: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: "687057@bugs.debian.org" <687057@bugs.debian.org>, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#687057: ITP: androidsdk-tools -- A subset of the android sdk tools
Date: Sun, 09 Sep 2012 12:37:56 +0200
[Message part 1 (text/plain, inline)]
@Paul
This is a good idea and I posted to #459219 about the plans.


@Adrian
Not a stupid question at all! This confused me, too.

Google has split up the android project into a lot of subprojects (or
git repositories).
In their "platform/sdk" subproject for instance zipalign and aapt are
missing.

Of course, one does not have to keep the project structure that google
intended.



Am Sonntag, den 09.09.2012, 09:21 +0400 schrieb John Paul Adrian
Glaubitz: 
> On Sep 9, 2012, at 3:34 AM, Stefan Handschuh <handschuh.stefan@googlemail.com> wrote:
> 
> > The sdk tools are containing *some* of the android build tools.
> 
> Stupid question:
> 
> Which parts are missing (and what do users miss without them) and why?
> 
> Cheers,
> 
> Adrian

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687057; Package wnpp. (Sun, 09 Sep 2012 10:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 09 Sep 2012 10:42:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687057; Package wnpp. (Tue, 11 Sep 2012 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 11 Sep 2012 23:21:03 GMT) Full text and rfc822 format available.

Message #35 received at 687057@bugs.debian.org (full text, mbox):

From: Stefan Handschuh <handschuh.stefan@googlemail.com>
To: 687057@bugs.debian.org
Subject: Re: Bug#687057: ITP: androidsdk-tools -- A subset of the android sdk tools
Date: Wed, 12 Sep 2012 01:18:15 +0200
Here is the initial package:

http://mentors.debian.net/package/androidsdk-tools




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>:
Bug#687057; Package wnpp. (Fri, 28 Sep 2012 18:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Adam <jakub.adam@ktknet.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>. (Fri, 28 Sep 2012 18:39:07 GMT) Full text and rfc822 format available.

Message #40 received at 687057@bugs.debian.org (full text, mbox):

From: Jakub Adam <jakub.adam@ktknet.cz>
To: 687057@bugs.debian.org
Subject: Re: Bug#687057: ITP: androidsdk-tools -- A subset of the android sdk tools
Date: Fri, 28 Sep 2012 20:30:34 +0200
Hi Stefan,

I looked at your package and see that the java libraries you create will be
required by ADT Eclipse plugin once it is packaged. To make those JARs usable
in Eclipse, there are some OSGi metadata that must be added to their manifests.

In a preparation for ADT packaging (no work have been done yet AFAIK), I'd like
to update the manifests. Do you have any source code repository where you store
your work? If not, could you please import the package into a git repository
of pkg-java team so that others can collaborate?

Regards,

Jakub



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687057; Package wnpp. (Sat, 29 Sep 2012 00:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 29 Sep 2012 00:15:05 GMT) Full text and rfc822 format available.

Message #45 received at 687057@bugs.debian.org (full text, mbox):

From: Stefan Handschuh <handschuh.stefan@googlemail.com>
To: Jakub Adam <jakub.adam@ktknet.cz>, 687057@bugs.debian.org
Subject: Re: Bug#687057: ITP: androidsdk-tools -- A subset of the android sdk tools
Date: Sat, 29 Sep 2012 02:11:36 +0200
[Message part 1 (text/plain, inline)]
Hi Jakub,

thanks for the interest in this package. I do have a local git
repository for the packaging and have just requested access to alioth to
upload it directly to the debian packaging repository (pkg-java). As
soon as I get access, I will upload the packaging repository such that
others can easily contribute.

Best regards,
   Stefan

Am Freitag, den 28.09.2012, 20:30 +0200 schrieb Jakub Adam: 
> Hi Stefan,
> 
> I looked at your package and see that the java libraries you create will be
> required by ADT Eclipse plugin once it is packaged. To make those JARs usable
> in Eclipse, there are some OSGi metadata that must be added to their manifests.
> 
> In a preparation for ADT packaging (no work have been done yet AFAIK), I'd like
> to update the manifests. Do you have any source code repository where you store
> your work? If not, could you please import the package into a git repository
> of pkg-java team so that others can collaborate?
> 
> Regards,
> 
> Jakub

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687057; Package wnpp. (Mon, 01 Oct 2012 19:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 01 Oct 2012 19:15:09 GMT) Full text and rfc822 format available.

Message #50 received at 687057@bugs.debian.org (full text, mbox):

From: Stefan Handschuh <handschuh.stefan@googlemail.com>
To: Jakub Adam <jakub.adam@ktknet.cz>, 687057@bugs.debian.org
Subject: Re: Bug#687057: ITP: androidsdk-tools -- A subset of the android sdk tools
Date: Mon, 01 Oct 2012 21:13:42 +0200
[Message part 1 (text/plain, inline)]
There you go:

   pkg-java/androidsdk-tools.git

Best regards,
   Stefan


Am Freitag, den 28.09.2012, 20:30 +0200 schrieb Jakub Adam: 
> Hi Stefan,
> 
> I looked at your package and see that the java libraries you create will be
> required by ADT Eclipse plugin once it is packaged. To make those JARs usable
> in Eclipse, there are some OSGi metadata that must be added to their manifests.
> 
> In a preparation for ADT packaging (no work have been done yet AFAIK), I'd like
> to update the manifests. Do you have any source code repository where you store
> your work? If not, could you please import the package into a git repository
> of pkg-java team so that others can collaborate?
> 
> Regards,
> 
> Jakub

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>:
Bug#687057; Package wnpp. (Thu, 04 Oct 2012 21:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Adam <jakub.adam@ktknet.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>. (Thu, 04 Oct 2012 21:33:08 GMT) Full text and rfc822 format available.

Message #55 received at 687057@bugs.debian.org (full text, mbox):

From: Jakub Adam <jakub.adam@ktknet.cz>
To: Stefan Handschuh <handschuh.stefan@googlemail.com>
Cc: 687057@bugs.debian.org
Subject: Re: Bug#687057: ITP: androidsdk-tools -- A subset of the android sdk tools
Date: Thu, 04 Oct 2012 23:29:43 +0200
Hi Stefan,

On 1.10.2012 21:13, Stefan Handschuh wrote:
> There you go:
>
>     pkg-java/androidsdk-tools.git

I set up generation of OSGi metadata for all JARs we are currently building
(also packaged one new required by ADT).

Package now uses javahelper for building. This helps to avoid repetitive code in d/rules, which is
now greatly simplified. New JAR can be added into build by appending its name and source path to
d/javabuild. Javahelper also removes all temporary build files, so no need for clean:: target.

All JARs now have Class-Path entry in their manifests, as required by Debian policy.

If the package is useful for you in its current shape and you manage to find a sponsor, feel free
to let it uploaded. For subsequent versions, I will be adding more libraries as my ADT packaging
progresses further (no ITP yet, but I plan to create it soon).

Regards,

Jakub



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687057; Package wnpp. (Thu, 04 Oct 2012 21:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 04 Oct 2012 21:42:03 GMT) Full text and rfc822 format available.

Message #60 received at 687057@bugs.debian.org (full text, mbox):

From: Stefan Handschuh <handschuh.stefan@googlemail.com>
To: Jakub Adam <jakub.adam@ktknet.cz>
Cc: 687057@bugs.debian.org
Subject: Re: Bug#687057: ITP: androidsdk-tools -- A subset of the android sdk tools
Date: Thu, 04 Oct 2012 23:37:51 +0200
[Message part 1 (text/plain, inline)]
Hi Jakub,

thanks a lot. I was not sure about how to generate multiple jars with
javahelper but thanks to you, I do know that now.

Please feel free to also add your name to the copyright of the debian
packaging.


Currently, I am working on the dalvik package (starting with the dx.jar
which is also a requirement for building android packages). There is
also some work in progress for aidl, aapt and zipalign.
Maybe we should somehow coordinate all efforts in order to act
efficiently.

Best regards,
   Stefan

Am Donnerstag, den 04.10.2012, 23:29 +0200 schrieb Jakub Adam: 
> Hi Stefan,
> 
> On 1.10.2012 21:13, Stefan Handschuh wrote:
> > There you go:
> >
> >     pkg-java/androidsdk-tools.git
> 
> I set up generation of OSGi metadata for all JARs we are currently building
> (also packaged one new required by ADT).
> 
> Package now uses javahelper for building. This helps to avoid repetitive code in d/rules, which is
> now greatly simplified. New JAR can be added into build by appending its name and source path to
> d/javabuild. Javahelper also removes all temporary build files, so no need for clean:: target.
> 
> All JARs now have Class-Path entry in their manifests, as required by Debian policy.
> 
> If the package is useful for you in its current shape and you manage to find a sponsor, feel free
> to let it uploaded. For subsequent versions, I will be adding more libraries as my ADT packaging
> progresses further (no ITP yet, but I plan to create it soon).
> 
> Regards,
> 
> Jakub

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>:
Bug#687057; Package wnpp. (Mon, 25 Mar 2013 16:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Adam <jakub.adam@ktknet.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>. (Mon, 25 Mar 2013 16:24:08 GMT) Full text and rfc822 format available.

Message #65 received at 687057@bugs.debian.org (full text, mbox):

From: Jakub Adam <jakub.adam@ktknet.cz>
To: Stefan Handschuh <handschuh.stefan@googlemail.com>
Cc: 687057@bugs.debian.org
Subject: androidsdk-tools progress
Date: Mon, 25 Mar 2013 17:16:07 +0100
Hi Stefan,

it's been a while since I started contributing to your packaging of Android SDK tools.
I've made several updates as new versions were released by Google and expanded the number
of applications that are built from the source.

The package in its current state builds successfully in experimental and I'm thinking of trying to
make the first sponsored upload through some of the DDs in Java team.

If you are still interested, could you please have a look at the source[1]  whether there are any
additional changes that would be good to make prior the upload?

Before I send the RFS, I'll add upstream and pristine-tar branches to git, but that's more or
less cosmetic.

Regarding the Eclipse plugins, I put that work on hold for the time being as there are some
dependencies which I wasn't able to solve easily (libraries using internal APIs of java compiler
that seem to be incompatible with OpenJDK). Nevertheless, androidsdk-tools still provides useful
tools like DDMS or hierarchyviewer that can aid in Android development.

Regards,

Jakub

[1] http://anonscm.debian.org/gitweb/?p=pkg-java/androidsdk-tools.git;a=shortlog



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687057; Package wnpp. (Sun, 31 Mar 2013 22:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 31 Mar 2013 22:42:09 GMT) Full text and rfc822 format available.

Message #70 received at 687057@bugs.debian.org (full text, mbox):

From: Stefan Handschuh <handschuh.stefan@googlemail.com>
To: Jakub Adam <jakub.adam@ktknet.cz>, 687057@bugs.debian.org
Subject: Re: Bug#687057: androidsdk-tools progress
Date: Mon, 1 Apr 2013 00:40:03 +0200
Hi Jakub,

thanks for your work and numerous uploads to the git repository. As you are
doing the main work with this package, I wanted to ask if its ok for you if the
git repository is "owned" by you (i.e. change the owner that is visible in gitweb).

> The package in its current state builds successfully in experimental and I'm thinking of trying to
> make the first sponsored upload through some of the DDs in Java team.
> 
> If you are still interested, could you please have a look at the source[1]  whether there are any
> additional changes that would be good to make prior the upload?

(see below)

> Before I send the RFS, I'll add upstream and pristine-tar branches to git, but that's more or
> less cosmetic.

There are some issues w.r.t. the d/copyright file which should be resolved
first, I think. I am currently gathering information about the changes that
should be applied there (in general, some information is missing). Therefore, I
would like to ask you to wait with the sourcecode upload.
However, since there is an "orig-tar" script, the sourcecode upload maybe not
needed, I think. I also dislike the debian policy about uploading the
upstream code directly into the packaging repositories.

> 
> Regarding the Eclipse plugins, I put that work on hold for the time being as there are some
> dependencies which I wasn't able to solve easily (libraries using internal APIs of java compiler
> that seem to be incompatible with OpenJDK). Nevertheless, androidsdk-tools still provides useful
> tools like DDMS or hierarchyviewer that can aid in Android development.

Thanks for providing information about the problem there in a separate email. I
will have a look at it.

Best regards,
  Stefan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>:
Bug#687057; Package wnpp. (Mon, 01 Apr 2013 11:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Adam <jakub.adam@ktknet.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>. (Mon, 01 Apr 2013 11:00:07 GMT) Full text and rfc822 format available.

Message #75 received at 687057@bugs.debian.org (full text, mbox):

From: Jakub Adam <jakub.adam@ktknet.cz>
To: Stefan Handschuh <handschuh.stefan@googlemail.com>
Cc: 687057@bugs.debian.org
Subject: Re: Bug#687057: androidsdk-tools progress
Date: Mon, 01 Apr 2013 12:57:24 +0200
Hi Stefan,

On 1.4.2013 00:40, Stefan Handschuh wrote:
> I wanted to ask if its ok for you if the
> git repository is "owned" by you (i.e. change the owner that is visible in gitweb).

I don't mind to be the owner, however it seems for gitweb 'owner' is who owns the top
level directory of the git repo, which is something I don't have permissions to change.
You can try to execute 'chown xhaakon-guest androidsdk-tools.git' yourself to transfer
me the ownership.

Still, everything under pkg-java is team maintained so who is the repository owner really
plays no role here.

> There are some issues w.r.t. the d/copyright file which should be resolved
> first, I think. I am currently gathering information about the changes that
> should be applied there (in general, some information is missing). Therefore, I
> would like to ask you to wait with the sourcecode upload.

Ok, I can wait. To make the package lintian clean I still should write at least some basic
manpages for the scripts we place in /usr/bin.

> However, since there is an "orig-tar" script, the sourcecode upload maybe not
> needed, I think. I also dislike the debian policy about uploading the
> upstream code directly into the packaging repositories.

If I'm going to do the most work on this package, I'd prefer to have everything in a single
git. Regarding this subject we're standing at the opposite sides of the barricade, sorry :)

> Thanks for providing information about the problem there in a separate email. I
> will have a look at it.

Thanks for your help with Lombok!

Regards,

Jakub



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687057; Package wnpp. (Mon, 01 Apr 2013 22:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 01 Apr 2013 22:21:04 GMT) Full text and rfc822 format available.

Message #80 received at 687057@bugs.debian.org (full text, mbox):

From: Stefan Handschuh <handschuh.stefan@googlemail.com>
To: Jakub Adam <jakub.adam@ktknet.cz>
Cc: 687057@bugs.debian.org
Subject: Re: Bug#687057: androidsdk-tools progress
Date: Tue, 2 Apr 2013 00:17:40 +0200
Hi Jakub,

On Mon, Apr 01, 2013 at 12:57:24PM +0200, Jakub Adam wrote:
> Hi Stefan,
> 
> On 1.4.2013 00:40, Stefan Handschuh wrote:
> >I wanted to ask if its ok for you if the
> >git repository is "owned" by you (i.e. change the owner that is visible in gitweb).
> 
> I don't mind to be the owner, however it seems for gitweb 'owner' is who owns the top
> level directory of the git repo, which is something I don't have permissions to change.
> You can try to execute 'chown xhaakon-guest androidsdk-tools.git' yourself to transfer
> me the ownership.

The chown did not work (no permissions), so I will try to contact the debian
staff. Its just a small thing, but as you are basically doing all the work, I
think its more appropriate this way.

> Still, everything under pkg-java is team maintained so who is the repository owner really
> plays no role here.
> 
> >There are some issues w.r.t. the d/copyright file which should be resolved
> >first, I think. I am currently gathering information about the changes that
> >should be applied there (in general, some information is missing). Therefore, I
> >would like to ask you to wait with the sourcecode upload.
> 
> Ok, I can wait. To make the package lintian clean I still should write at least some basic
> manpages for the scripts we place in /usr/bin.

Thanks, I will get back to you about this later.

> >Thanks for providing information about the problem there in a separate email. I
> >will have a look at it.
> 
> Thanks for your help with Lombok!

A quick solution would be to create stubs of the classes that are missing while
preserving their bits (i.e. BaseFileObject is abstract and Kind is an enum
inside of it; only add the fields/methods that are actually called by the class
that does not compile). Of course, the bytecode of the stubs should not be
included into the binary package.
The lombok library seems to do this also for some other classes.
This may lead to problems later when the classes are actually needed. Also, the
copyright issue w.r.t. the java api may be a point of concern, so another option
may be just to delete the classes.

The class/enum in question seems to be part of the "original" openjdk but I have
not figured out yet, why they are not part of the debian package.

Best regards,
   Stefan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687057; Package wnpp. (Tue, 09 Apr 2013 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 09 Apr 2013 21:27:04 GMT) Full text and rfc822 format available.

Message #85 received at 687057@bugs.debian.org (full text, mbox):

From: Stefan Handschuh <handschuh.stefan@googlemail.com>
To: Jakub Adam <jakub.adam@ktknet.cz>
Cc: 687057@bugs.debian.org
Subject: Re: Bug#687057: androidsdk-tools progress
Date: Tue, 9 Apr 2013 23:23:06 +0200
Hi Jakub,

> The chown did not work (no permissions), so I will try to contact the debian
> staff. Its just a small thing, but as you are basically doing all the work, I
> think its more appropriate this way.

the message has been sent but no response so far.

> > >There are some issues w.r.t. the d/copyright file which should be resolved
> > >first, I think. I am currently gathering information about the changes that
> > >should be applied there (in general, some information is missing). Therefore, I
> > >would like to ask you to wait with the sourcecode upload.
> > 
> > Ok, I can wait. To make the package lintian clean I still should write at least some basic
> > manpages for the scripts we place in /usr/bin.
> 
> Thanks, I will get back to you about this later.

The one thing that has to be changed is the copyright year statement for the
files in
  swtmenubar
"2011" to "2011-2012" or something like that.

Somehow uncertain is the license of the files in
  uiautomatorviewer/src/images/
as the main directory of this subproject has no NOTICE or LICENSE file. The same
holds for the files in
  hierarchyviewer2/libs/hierarchyviewerlib/src/images/

In comparison to that,
  ddms/libs/ddmuilib/
has images (in a subfolder) and a NOTICE file.

Best regards,
   Stefan



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>:
Bug#687057; Package wnpp. (Mon, 29 Apr 2013 15:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Adam <jakub.adam@ktknet.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stefan Handschuh <handschuh.stefan@googlemail.com>. (Mon, 29 Apr 2013 15:00:09 GMT) Full text and rfc822 format available.

Message #90 received at 687057@bugs.debian.org (full text, mbox):

From: Jakub Adam <jakub.adam@ktknet.cz>
To: Stefan Handschuh <handschuh.stefan@googlemail.com>
Cc: 687057@bugs.debian.org
Subject: Re: Bug#687057: androidsdk-tools progress
Date: Mon, 29 Apr 2013 16:58:02 +0200
Hi Stefan,

finally I've had time to make some progress with androidsdk-tools

On 9.4.2013 23:23, Stefan Handschuh wrote:
> The one thing that has to be changed is the copyright year statement for the
> files in
>    swtmenubar
> "2011" to "2011-2012" or something like that.

Updated.

> Somehow uncertain is the license of the files in
>    uiautomatorviewer/src/images/
> as the main directory of this subproject has no NOTICE or LICENSE file. The same
> holds for the files in
>    hierarchyviewer2/libs/hierarchyviewerlib/src/images/
>
> In comparison to that,
>    ddms/libs/ddmuilib/
> has images (in a subfolder) and a NOTICE file.

Google has been steadily rearranging their repository structure so I had to update orig-tar
script once more. On a positive side, during the relocation of uiautomatorviewer and
hierarchyviewer2 to a different repo the missing NOTICE files were added, so now we can be
sure the images are (what a surprise :)) under Apache 2.0.

Today I've created manual pages for ddms and hierarchyviewer, there are 2 more to go and the
package will be lintian clean ready for upload.

Since Wheezy release is at hand, I will probably postpone sending a RFS to debian-java group
until new stable release is out and all our dependencies now in experimental are reuploaded
into unstable, in order that we can spare ourselves an upload of androidsdk-tools into
experimental and go directly into sid.

Regards,

Jakub



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687057; Package wnpp. (Sun, 02 Jun 2013 10:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 02 Jun 2013 10:51:13 GMT) Full text and rfc822 format available.

Message #95 received at 687057@bugs.debian.org (full text, mbox):

From: Stefan Handschuh <handschuh.stefan@googlemail.com>
To: Jakub Adam <jakub.adam@ktknet.cz>
Cc: 687057@bugs.debian.org
Subject: Re: Bug#687057: androidsdk-tools progress
Date: Sun, 2 Jun 2013 12:37:17 +0200
Hi Jakub,

thank you for your work!

I am glad the license "issue" has been resolved.

Also, thank you for the RFS bugreport. If there is anything I can do, please let
me know.

Best regards,
   Stefan

On Mon, Apr 29, 2013 at 04:58:02PM +0200, Jakub Adam wrote:
> Hi Stefan,
> 
> finally I've had time to make some progress with androidsdk-tools
> 
> On 9.4.2013 23:23, Stefan Handschuh wrote:
> >The one thing that has to be changed is the copyright year statement for the
> >files in
> >   swtmenubar
> >"2011" to "2011-2012" or something like that.
> 
> Updated.
> 
> >Somehow uncertain is the license of the files in
> >   uiautomatorviewer/src/images/
> >as the main directory of this subproject has no NOTICE or LICENSE file. The same
> >holds for the files in
> >   hierarchyviewer2/libs/hierarchyviewerlib/src/images/
> >
> >In comparison to that,
> >   ddms/libs/ddmuilib/
> >has images (in a subfolder) and a NOTICE file.
> 
> Google has been steadily rearranging their repository structure so I had to update orig-tar
> script once more. On a positive side, during the relocation of uiautomatorviewer and
> hierarchyviewer2 to a different repo the missing NOTICE files were added, so now we can be
> sure the images are (what a surprise :)) under Apache 2.0.
> 
> Today I've created manual pages for ddms and hierarchyviewer, there are 2 more to go and the
> package will be lintian clean ready for upload.
> 
> Since Wheezy release is at hand, I will probably postpone sending a RFS to debian-java group
> until new stable release is out and all our dependencies now in experimental are reuploaded
> into unstable, in order that we can spare ourselves an upload of androidsdk-tools into
> experimental and go directly into sid.
> 
> Regards,
> 
> Jakub



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 20 Aug 2013 20:09:10 GMT) Full text and rfc822 format available.

Reply sent to Jakub Adam <jakub.adam@ktknet.cz>:
You have taken responsibility. (Sat, 07 Sep 2013 10:03:06 GMT) Full text and rfc822 format available.

Notification sent to Stefan Handschuh <handschuh.stefan@googlemail.com>:
Bug acknowledged by developer. (Sat, 07 Sep 2013 10:03:06 GMT) Full text and rfc822 format available.

Message #102 received at 687057-close@bugs.debian.org (full text, mbox):

From: Jakub Adam <jakub.adam@ktknet.cz>
To: 687057-close@bugs.debian.org
Subject: Bug#687057: fixed in androidsdk-tools 22+git20130416~f55ffbb-1
Date: Sat, 07 Sep 2013 10:00:08 +0000
Source: androidsdk-tools
Source-Version: 22+git20130416~f55ffbb-1

We believe that the bug you reported is fixed in the latest version of
androidsdk-tools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687057@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jakub Adam <jakub.adam@ktknet.cz> (supplier of updated androidsdk-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 15 Mar 2013 08:08:59 +0100
Source: androidsdk-tools
Binary: libandroidsdk-common-java libandroidsdk-sdklib-java libandroidsdk-sdkstats-java libandroidsdk-swtmenubar-java libandroidsdk-ddmlib-java libandroidsdk-ddmuilib-java androidsdk-ddms libandroidsdk-hierarchyviewerlib-java androidsdk-hierarchyviewer androidsdk-traceview androidsdk-uiautomatorviewer
Architecture: source all
Version: 22+git20130416~f55ffbb-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Jakub Adam <jakub.adam@ktknet.cz>
Description: 
 androidsdk-ddms - Graphical debugging tool for Android
 androidsdk-hierarchyviewer - Tool to debug and optimize Android user interface
 androidsdk-traceview - Tool to profile performance of Android applications
 androidsdk-uiautomatorviewer - Tool to scan and analyze the UI components of an Android applicat
 libandroidsdk-common-java - Android sdk tools common library
 libandroidsdk-ddmlib-java - Library for communicaton with connected Android devices
 libandroidsdk-ddmuilib-java - User interface library for ddmlib
 libandroidsdk-hierarchyviewerlib-java - Android Hierarchy Viewer library
 libandroidsdk-sdklib-java - Android sdklib
 libandroidsdk-sdkstats-java - Sends Android SDK usage statistics to Google
 libandroidsdk-swtmenubar-java - Android SDK OS menubar hook library
Closes: 687057
Changes: 
 androidsdk-tools (22+git20130416~f55ffbb-1) unstable; urgency=low
 .
   * Initial release (Closes: #687057).
Checksums-Sha1: 
 cf6ce45e7d50f7391e61429e224ec217b44743e4 3087 androidsdk-tools_22+git20130416~f55ffbb-1.dsc
 1e4b37ae1694b77d932e158a1ac93102ff9c1729 662468 androidsdk-tools_22+git20130416~f55ffbb.orig.tar.xz
 520b219ea7663824b3c97fae725968705ad65833 22651 androidsdk-tools_22+git20130416~f55ffbb-1.debian.tar.gz
 e257795a1c6b438fde217518d401b965e7357a94 50024 libandroidsdk-common-java_22+git20130416~f55ffbb-1_all.deb
 1caf25ca46452f24f476542bd3bdc10f067339e5 27716 libandroidsdk-sdklib-java_22+git20130416~f55ffbb-1_all.deb
 17252cb5b9024a34eb5ed156b8934806b069f09c 19398 libandroidsdk-sdkstats-java_22+git20130416~f55ffbb-1_all.deb
 4dcc4946fbd83bc67e8d1606e004d8d44b6ee3f3 19432 libandroidsdk-swtmenubar-java_22+git20130416~f55ffbb-1_all.deb
 f2399c846d3ac9876250fe7b33966668b1449777 201754 libandroidsdk-ddmlib-java_22+git20130416~f55ffbb-1_all.deb
 26066a4272713052e7aed5045a8c385d6787a64a 446522 libandroidsdk-ddmuilib-java_22+git20130416~f55ffbb-1_all.deb
 21bc55616feb145a93232e6865600c73d0b70d6b 131574 androidsdk-ddms_22+git20130416~f55ffbb-1_all.deb
 65db3f40f817bb723dc9b8e31560f3f5749e01b9 305116 libandroidsdk-hierarchyviewerlib-java_22+git20130416~f55ffbb-1_all.deb
 22c2bfa4426b4cf4c2ee7c64801cfc25c47909dc 54814 androidsdk-hierarchyviewer_22+git20130416~f55ffbb-1_all.deb
 cb1393953df65c41f6c1e24b512e096951980ed1 122540 androidsdk-traceview_22+git20130416~f55ffbb-1_all.deb
 8bde176d496eaf1e4a170866012838bd1dd27daa 49690 androidsdk-uiautomatorviewer_22+git20130416~f55ffbb-1_all.deb
Checksums-Sha256: 
 2f97639fc0c4624c42c1a919c507d84fd90243bd1ebf296385e45eab87a1d5b6 3087 androidsdk-tools_22+git20130416~f55ffbb-1.dsc
 dcce245382e6e147acfc86f6a6b1a1bf84c7cb87fecdd0a5d5aa147d334d5a53 662468 androidsdk-tools_22+git20130416~f55ffbb.orig.tar.xz
 1e0cd462a4f0fdf47a349ed6ae0bda1e49f9ef72255fb34c12ee71892bdbdd23 22651 androidsdk-tools_22+git20130416~f55ffbb-1.debian.tar.gz
 e235793260bb547045a119debf1e6c0f8ab3cb6e865fbb6b3d1ce4ecc3faf8b8 50024 libandroidsdk-common-java_22+git20130416~f55ffbb-1_all.deb
 9a8c81ef35e9adf35edb6fb149d9c09a3b17b9d585781d8d07468c2cdf81f21b 27716 libandroidsdk-sdklib-java_22+git20130416~f55ffbb-1_all.deb
 1d5c5e86325848808cb7bce15b3608a01e1c73de827c184c23b26d4b95ef02ce 19398 libandroidsdk-sdkstats-java_22+git20130416~f55ffbb-1_all.deb
 58f07a53b42515a5dd2f6ebc0d6c321f12216be131e9e57712e5cf773a6cd67d 19432 libandroidsdk-swtmenubar-java_22+git20130416~f55ffbb-1_all.deb
 333c708c73b0521a42fc97ec7902a86b857dfa9ab2f967aed89713b796f6435a 201754 libandroidsdk-ddmlib-java_22+git20130416~f55ffbb-1_all.deb
 88fb1075af0233a5d1b888cfd0290bb409b0f838048562534d2783a86cbff586 446522 libandroidsdk-ddmuilib-java_22+git20130416~f55ffbb-1_all.deb
 c0e17b61808d449e1cc39f4d5dd41bd70664630a7a8472ee05a6dc34057c182f 131574 androidsdk-ddms_22+git20130416~f55ffbb-1_all.deb
 d4cc729d4876d3c64faf6d61a78cb59b3ee898684aa35fb8040a0fb84785d354 305116 libandroidsdk-hierarchyviewerlib-java_22+git20130416~f55ffbb-1_all.deb
 584b66ca643349896d826b5a23cb8afb5545f872cc1bfbadacbe8ec33c9e798a 54814 androidsdk-hierarchyviewer_22+git20130416~f55ffbb-1_all.deb
 e279c933a5849fa720a111e0b2eb6bc9ef3f6cd18a0deeee24a227dc9dbc7dd1 122540 androidsdk-traceview_22+git20130416~f55ffbb-1_all.deb
 33c7ecb512cbd9eb1aff74ee0c4681d9e12f10148ca300b150984a7cd6c5f5c7 49690 androidsdk-uiautomatorviewer_22+git20130416~f55ffbb-1_all.deb
Files: 
 634ea74e5add1ef782585c6c7de20500 3087 devel extra androidsdk-tools_22+git20130416~f55ffbb-1.dsc
 9a33bcd6f459e9a8cbef0864b5ae6470 662468 devel extra androidsdk-tools_22+git20130416~f55ffbb.orig.tar.xz
 bf6014f6714e337bcb6af558f7bca6e9 22651 devel extra androidsdk-tools_22+git20130416~f55ffbb-1.debian.tar.gz
 74e0d5b495d79138930d1023447a6d18 50024 java extra libandroidsdk-common-java_22+git20130416~f55ffbb-1_all.deb
 924ebf418817ab5c5341cdef04acbda8 27716 java extra libandroidsdk-sdklib-java_22+git20130416~f55ffbb-1_all.deb
 60f527254718b7fa616cc9268e87e79a 19398 java extra libandroidsdk-sdkstats-java_22+git20130416~f55ffbb-1_all.deb
 317f14f8adc3295b64c58ef47c6b4d3e 19432 java extra libandroidsdk-swtmenubar-java_22+git20130416~f55ffbb-1_all.deb
 18d88b092bfd8b35ff5429dcdcccba79 201754 java extra libandroidsdk-ddmlib-java_22+git20130416~f55ffbb-1_all.deb
 7af4c0f3a2504dfcd5365f2cdb345c03 446522 java extra libandroidsdk-ddmuilib-java_22+git20130416~f55ffbb-1_all.deb
 f255ce57bf5b9f96cce5ccbedbdb0ff9 131574 java extra androidsdk-ddms_22+git20130416~f55ffbb-1_all.deb
 65c4564465b43886fc9709e3c61884c7 305116 java extra libandroidsdk-hierarchyviewerlib-java_22+git20130416~f55ffbb-1_all.deb
 e44f26e433273d52f7cfa9c6ecd907d7 54814 java extra androidsdk-hierarchyviewer_22+git20130416~f55ffbb-1_all.deb
 4a6d8158925ff969a2c9b9e209391499 122540 java extra androidsdk-traceview_22+git20130416~f55ffbb-1_all.deb
 6bcf64e1762a06d761eb4d59b55435be 49690 java extra androidsdk-uiautomatorviewer_22+git20130416~f55ffbb-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJSEyYXAAoJEC/YvtrAIO7Res8P/0YfNHyhWQsVQcFZyN3uPYiC
L+RlYvDiYPFi4RMZ8T8ERXvMsF7MabpqgOU7vazPbv5lH+niAMkeWCY9w/QvkHir
4HVHIn83nxEEDar8I+t0VgRSUmhH4DCnCdGrlA+HQVtjYgWLTO/D5F4br6+vAfxV
+HhGqV+Xkr9DpYY3eBU6AruQB3KCEhMqxmYctEU1oygjsDV5EwEfAXhfnPxecQu1
GwsESrxyEsNE6r34gP4xdFvdtgkrHKqmJyMEWWLLkSkHOxMJQjdU0aHItucFmgxl
rxN+M6D5BAXufs9TbK8wC4n4ep6l5aSERVAMBS66PqhnmD5ctinagRj75xwE3OWb
yVwDPHfkVuuu8m/jWD+VikXiIMANz7+EWfxsGjNUgdpriihTv87onIzG+fIZ7XHe
BWyTJLKclpYVIw4ZqOh/nmBJx8dIymlTO33cyAaa1yKIaWPXTT8FDyq39EN5jYSt
ndSA9jao2Tx+KsRJrs3yw2GJq35dkw7s4HpBRt3SI4Gkr4h+ox51w4L00RcliYPc
FPGuDUY2MR99ZEewi68InsL5OIMVKU6VCjrUJoJquoV+7PAk04ZBBiZP4i+yT8TM
5b0oO7VKSm1rMtLNhn+q3HSwDXXNTCDam0QvDBs5yhr+IPU43C5xFLHwF/i8m0YA
EikrNVmUs3Usly+mdjXL
=q4/f
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Oct 2013 07:32:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:44:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.